Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.solver.scope
Class DefaultSolverScope

    java.lang.Object
      org.optaplanner.core.impl.solver.scope.DefaultSolverScope

    public class DefaultSolverScope

extends Object

Field Summary
`protected Score` | `bestScore`
`protected Solution` | `bestSolution`
`protected int` | `bestUninitializedVariableCount`
`protected org.slf4j.Logger` | `logger`
`protected boolean` | `restartSolver`
`protected ScoreDirector` | `scoreDirector`
`protected Score` | `startingInitializedScore`
`protected long` | `startingSystemTimeMillis`
`protected Random` | `workingRandom`

Constructor Summary
`DefaultSolverScope()`

Method Summary
`void` | `assertExpectedWorkingScore(Score expectedWorkingScore, Object completedAction)`
`void` | `assertScoreFromScratch(Solution solution)`
`void` | `assertWorkingScoreFromScratch(Score workingScore, Object completedAction)`
`Score` | `calculateScore()`
`long` | `calculateTimeMillisSpend()`
`Score` | `getBestScore()`
`String` | `getBestScoreWithUninitializedPrefix()`
`Solution` | `getBestSolution()`
`int` | `getBestUninitializedVariableCount()`
`long` | `getCalculateCount()`
`ScoreDefinition` | `getScoreDefinition()`
`ScoreDirector` | `getScoreDirector()`
`SolutionDescriptor` | `getSolutionDescriptor()`
`Score` | `getStartingInitializedScore()`
`long` | `getStartingSystemTimeMillis()`
`int` | `getWorkingEntityCount()`
`List<Object>` | `getWorkingEntityList()`
`Random` | `getWorkingRandom()`
`Solution` | `getWorkingSolution()`
`int` | `getWorkingValueCount()`
`boolean` | `isBestSolutionInitialized()`
`boolean` | `isRestartSolver()`
`void` | `setBestScore(Score bestScore)`
`void` | `setBestSolution(Solution bestSolution)` The bestSolution must never be the same instance as the workingSolution, it should be a (un)changed clone.
`void` | `setBestUninitializedVariableCount(int bestUninitializedVariableCount)`
`void` | `setRestartSolver(boolean restartSolver)`
`void` | `setScoreDirector(ScoreDirector scoreDirector)`
`void` | `setStartingInitializedScore(Score startingInitializedScore)`
`void` | `setStartingSystemTimeMillis(long startingSystemTimeMillis)`
`void` | `setWorkingRandom(Random workingRandom)`
`void` | `setWorkingSolutionFromBestSolution()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### restartSolver

    protected boolean restartSolver

### startingSystemTimeMillis

    protected long startingSystemTimeMillis

### scoreDirector

    protected ScoreDirector scoreDirector

### workingRandom

    protected Random workingRandom

### startingInitializedScore

    protected Score startingInitializedScore

### bestSolution

    protected Solution bestSolution

### bestUninitializedVariableCount

    protected int bestUninitializedVariableCount

### bestScore

    protected Score bestScore

Constructor Detail

### DefaultSolverScope

    public DefaultSolverScope()

Method Detail

### isRestartSolver

    public boolean isRestartSolver()

### getStartingSystemTimeMillis

    public long getStartingSystemTimeMillis()

### setStartingSystemTimeMillis

    public void setStartingSystemTimeMillis(long startingSystemTimeMillis)

### setRestartSolver

    public void setRestartSolver(boolean restartSolver)

### getScoreDirector

    public ScoreDirector getScoreDirector()

### setScoreDirector

    public void setScoreDirector(ScoreDirector scoreDirector)

### getSolutionDescriptor

    public SolutionDescriptor getSolutionDescriptor()

### getScoreDefinition

    public ScoreDefinition getScoreDefinition()

### getWorkingSolution

    public Solution getWorkingSolution()

### getWorkingEntityCount

    public int getWorkingEntityCount()

### getWorkingEntityList

    public List<Object> getWorkingEntityList()

### getWorkingValueCount

    public int getWorkingValueCount()

### calculateScore

    public Score calculateScore()

### assertExpectedWorkingScore

    public void assertExpectedWorkingScore(Score expectedWorkingScore,
                                           Object completedAction)

### assertWorkingScoreFromScratch

    public void assertWorkingScoreFromScratch(Score workingScore,
                                              Object completedAction)

### assertScoreFromScratch

    public void assertScoreFromScratch(Solution solution)

### getWorkingRandom

    public Random getWorkingRandom()

### setWorkingRandom

    public void setWorkingRandom(Random workingRandom)

### getStartingInitializedScore

    public Score getStartingInitializedScore()

### setStartingInitializedScore

    public void setStartingInitializedScore(Score startingInitializedScore)

### getCalculateCount

    public long getCalculateCount()

### getBestSolution

    public Solution getBestSolution()

### setBestSolution

    public void setBestSolution(Solution bestSolution)

  The bestSolution must never be the same instance as the workingSolution, it should be a (un)changed clone.

  Parameters:
    `bestSolution` - never null

### getBestUninitializedVariableCount

    public int getBestUninitializedVariableCount()

### setBestUninitializedVariableCount

    public void setBestUninitializedVariableCount(int bestUninitializedVariableCount)

### getBestScore

    public Score getBestScore()

### setBestScore

    public void setBestScore(Score bestScore)

### isBestSolutionInitialized

    public boolean isBestSolutionInitialized()

### calculateTimeMillisSpend

    public long calculateTimeMillisSpend()

### setWorkingSolutionFromBestSolution

    public void setWorkingSolutionFromBestSolution()

### getBestScoreWithUninitializedPrefix

    public String getBestScoreWithUninitializedPrefix()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.